function hide_page() {
  // to unhide the hidden element, we also need to un-ID it
  // to make the CSS rule stop applying
  // janky hack, but it makes it not have 1 frame of showing on load.
  hidden.id = '';
  hidden.style.display = '';
  shown.style.display = 'none';
}

function unhide_page() {
  shown.style.display = '';
  hidden.style.display = 'none';
}

var shown  = document.getElementById("page-content");
var hidden = document.getElementById("page-content-hidden");

document
  .getElementById("button-hide-page")
  .addEventListener("click", hide_page);
document
  .getElementById("button-unhide-page")
  .addEventListener("click", unhide_page);
